Vsan Vum System Vsan Vc Upload Release Db

Vsan Vum System Vsan Vc Upload Release Db
Upload a release DB in JSON format.

Upload a release DB in JSON format.

The DB will replace any existing release DB, even if the existing DB may appear newer.

Required privileges: Global.Settings

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/VsanVumSystem/{moId}/VsanVcUploadReleaseDb
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VsanVumSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
VsanVcUploadReleaseDbRequestType of type(s) application/json
Required
{
    "db": "string"
}
string
db
Required

The new DB in JSON format

Authentication
This operation uses the following authentication methods.
Responses
204

No Content

Operation doesn't return any data structure

500

NotSupported: if run directly on an ESX Server host.

NotFound:

VsanFault:

NotSupported:

Returns MethodFault of type(s) application/json
This response body class contains all of the following: Any
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}
faultCause
Optional

Fault which is the cause of this fault.

array of object
faultMessage
Optional

Message which has details about the error Message can also contain a key to message catalog which can be used to generate better localized messages.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"db":"string"}' https://{api_host}/sdk/vim25/{release}/vsan/VsanVumSystem/{moId}/VsanVcUploadReleaseDb